import java.awt.*;
import java.awt.geom.*;
import javax.swing.JPanel;
import javax.swing.JFrame;

public class Sailboat 
{
	public void draw(Graphics g) {
		Graphics2D g2d = (Graphics2D) g;
		g2d.setColor(Color.BLACK);
		int[] x = {75,75,50};
		int[] y = {50,100,100};
		g2d.drawPolygon(x,y,3);
		
		QuadCurve2D q = new QuadCurve2D.Float();
		q.setCurve(80, 45, 145, 85, 80, 100);
		g2d.draw(q);
		QuadCurve2D q2 = new QuadCurve2D.Float();
		q2.setCurve(80, 45, 100, 85, 80, 100);
		g2d.draw(q2);
		
		int[] x2 = {50,60,100,110};
		int[] y2 = {105,120,120,105};
		g2d.drawPolygon(x2,y2,4);
		
		g2d.setColor(Color.YELLOW);
		g2d.fillOval(150,15, 20, 20);
		
		g2d.setPaint(Color.BLUE);	
		g2d.fill(new Rectangle2D.Double(0,121,200,79));
	}



    

    public static void main( String args[] )
    {
	JFrame application = new JFrame("Sailboat");
	application.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	application.add(new mypanel());
	application.setSize(200,200);
	application.setVisible(true);
    }
}

    class mypanel extends JPanel
    {
        Sailboat boat = new Sailboat();
	public void paintComponent(Graphics g) {
	super.paintComponent( g );
	boat.draw(g);
	}
    }

